Package twisted :: Package internet :: Module fdesc

[show private | hide private]
[frames | no frames]

## Module twisted.internet.fdesc

Utility functions for dealing with POSIX file descriptors.

API Stability: stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Function Summary
| ``setNonBlocking`(fd)` Make a fd non-blocking.
| ``readFromFD`(fd, callback)` Read from fd, calling callback with resulting data.

Variable Summary
`ConnectionLost` | `CONNECTION_LOST`

Function Details

### readFromFD(fd, callback)

Read from fd, calling callback with resulting data.

Returns same thing FileDescriptor.doRead would.

### setNonBlocking(fd)

Make a fd non-blocking.

Variable Details

### CONNECTION_LOST

  Type:
    `ConnectionLost`
  Value:

        <twisted.internet.error.ConnectionLost instance at 0x82e800c>

Generated by Epydoc 1.1 on Thu May 8 13:18:26 2003 | http://epydoc.sf.net